[Libreoffice-commits] core.git: sw/qa

Miklos Vajna vmiklos at suse.cz
Thu Apr 11 22:40:45 PDT 2013


 sw/qa/extras/find-unused-data.sh |   11 +++++++++++
 1 file changed, 11 insertions(+)

New commits:
commit ef68c2b97de163d1fd3a960675addc1eb3d4bc6f
Author: Miklos Vajna <vmiklos at suse.cz>
Date:   Thu Apr 11 13:17:06 2013 +0200

    sw/qa: add new script to make sure all files are tested
    
    When some import filter fix arrives in, and the submitter submits a test
    file, but doesn't provide a matching testcase, we accept the patch, as
    it's better than nothing. This script will search for such files,
    providing kind of a TODO list for what testcases have to be implemented.
    
    Change-Id: I713fe2f0aef4cbca66ba913baf54b7bd28ba2471

diff --git a/sw/qa/extras/find-unused-data.sh b/sw/qa/extras/find-unused-data.sh
new file mode 100755
index 0000000..9f44968
--- /dev/null
+++ b/sw/qa/extras/find-unused-data.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+for i in */data/*
+do
+    file=$(basename $i)
+    if ! git grep -q $file; then
+        echo "WARNING: $i is not used, write a testcase for it!"
+    fi
+done
+
+# vi:set shiftwidth=4 expandtab:


More information about the Libreoffice-commits mailing list